{
  "format_version": "1.10.0",
  "animation_controllers": {
    "controller.animation.lord_attack": {
      "initial_state": "default",
      "states": {
        "default": {
          "blend_transition": 0.15,
          "transitions": [
            {
              "attack": "query.is_delayed_attacking"
            },
            {
              "cast": "query.is_casting"
            },
            {
              "knockback": "query.is_roaring"
            }
          ]
        },
        "knockback": {
          "animations": [
            "look_at_target",
            "cast"
          ],
          "particle_effects": [
            {
              "effect": "spell",
              "locator": "left_leg"
            },
            {
              "effect": "spell",
              "locator": "right_leg"
            }
          ],
          "transitions": [
            {
              "default": "!query.is_roaring"
            }
          ],
          "blend_transition": 0.2,
          "blend_via_shortest_path": true
        },
        "cast": {
          "animations": [
            "look_at_target",
            "cast"
          ],
          "particle_effects": [
            {
              "effect": "spell",
              "locator": "particle"
            },
            {
              "effect": "spell",
              "locator": "particle2"
            }
          ],
          "transitions": [
            {
              "default": "!query.is_casting"
            },
            {
              "attack": "query.is_delayed_attacking"
            },
            {
              "knockback": "query.is_roaring"
            }
          ]
        },
        "attack": {
          "animations": [
            "attack",
            "look_at_target"
          ],
          "blend_transition": 0.35,
          "transitions": [
            {
              "default": "!query.is_delayed_attacking"
            }
          ]
        }
      }
    }
  }
}